<?php
session_start();
ob_start();
include "../config/define.php";
include "../config/conecta.php";
include "../config/classes.php";
include "../public/funcoes.php";
$msg = "";

// efetua login
if (isset($_POST['entrar'])) {

    $usuario = Usuario::antiInjection($_POST['usuario']);
    $senha = Usuario::antiInjection($_POST['senha']);

    if ($usuario == "" || $senha == "") {
        $msg = "ERRO: Informe login e senha";
    } else {

        $login = Usuario::listar("usuario", "WHERE ativo = 's' AND login = '" . $usuario . "'");
        if (!$login) {
            $msg = "ERRO: Login inexistente";
        } else {
            $dados = current($login);
            if ($dados['senha'] == md5($senha)) {
                // cria sessao
                $_SESSION['rz2']['admin']['usuario']['id'] = $dados['id'];
                $_SESSION['rz2']['admin']['usuario']['nome'] = $dados['nome'];
                header('Location: ' . URLADMIN . 'index.php');
            } else {
                $msg = "ERRO: Senha não confere";
            }
        }
    }
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="pt-br" lang="pt-br">
    <head>
        <title>AdminRZ2 - Administração da Loja Virtual - <?= DOMINIO ?></title>
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
        <meta name="author" content="RZ2 Marketing" />
        <meta name="language" content="pt-br" />
        <link rel="stylesheet" type="text/css" href="<?= URLCSS ?>login.css" media="screen" />
    </head>
    <body>

        <div id="topo"></div><!-- fecha topo -->

        <div id="login">
            <form name="flogin" action="" method="post">
                <?php if ($msg != "") { ?>
                    <tr>
                        <td colspan="2" align="center" class="erro"><b><?= $msg ?></b></td>
                    </tr>
                <?php } ?>
                        <label for="usuario">Login</label>
                        <input type="text" name="usuario" id="usuario" value="<?= $_POST['usuario'] ?>" size="30" maxlength="50" />
                        
                        <label for="senha">Senha</label>
                        <input type="password" name="senha" id="senha" value="" size="30" maxlength="10" />
                        
                        <input type="submit" name="entrar" id="entrar" value="Entrar " />
            </form>
        </div>

    </body>
</html>